﻿
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="container">
    <div class="col-md-4"></div>
    <div class="col-md-4">
     
            <input type="file" id="files" name="files" multiple="multiple" />
            <p style="text-align: right; margin-top: 20px;">
                <input type="button" value="Upload Files"  id ="upload" class="btn btn-lg btn-primary" />
            </p>
        
    </div>
    <div class="col-md-4"></div>
</div>

<!-- you need to include the ShieldUI CSS and JS assets in order for the Upload widget to work -->

@section scripts{
    <script type="text/javascript">

        $("#upload").click(function (evt) {
            //  evt.preventDefault();
            var formData = new FormData();
            var files = $('#files')[0].files;
            for (var i = 0; i < files.length; i++) {
                formData.append('File', files[i]);
            }

            //var data = {
            //    "usr": queryString["usr"],
            //    "skey": queryString["skey"],
            //    "Appno": queryString["AppNo"],
            //    "AgentCode": queryString["AgentCode"],
            //    "HFN": queryString["HFN"],
            //    "HLN": queryString["HLN"],
            //    "HIDCard": queryString["HIDCard"]
            //};
            //formData.append('paramData', JSON.stringify(data));
            console.log(formData);

            $.ajax({
                type: "post",
                url: "https://localhost:5000/api/FileMedia/UploadFile",
                contentType: false,
                processData: false,
                data: formData,
                cache: false,
                success: function (response) {
                    console.log(response);
                    if (response.res) {
                        $("#files").val(null);
                        //  $('.fileupload').fileupload('clear');
                        // $('.fileupload-preview').html(null);
                        //$('#modalPush').modal('hide');
                        //iziToast.success({
                        //    title: 'Upload',
                        //    message: response.msg,
                        //    position: 'center',
                        //    overlay: true,
                        //});
                        //initData();
                        //endRequest();

                    } else {
                        //endRequest();
                        //iziToast.error({
                        //    title: 'Upload',
                        //    message: response.msg,
                        //    position: 'center',
                        //    overlay: true,
                        //    zindex: 5000,
                        //});

                    }

                },
                error: function () {
                    //endRequest();
                    //iziToast.error({
                    //    title: 'Upload',
                    //    message: 'Upload fail',
                    //    position: 'center',
                    //    overlay: true,
                    //    zindex: 5000,
                    //});

                }
            });
        });
    </script>

 }


